/***********************************************************************************************************************
 *
 * blueBill Stats
 * Copyright (C) 2011-2011 by Tidalwave s.a.s. (http://www.tidalwave.it)
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * WWW: http://bluebill.tidalwave.it/mobile/
 * SCM: http://java.net/hg/bluebill-server~stats-src
 *
 **********************************************************************************************************************/
package it.tidalwave.bluebill.stats.domain;

import it.tidalwave.util.SortCriterionDeclaration;
import it.tidalwave.util.Finder;

/***********************************************************************************************************************
 *
 * A {@link Finder} for {@link Ping}.
 * 
 * @stereotype Finder
 * 
 * @author  Fabrizio Giudici
 * @version $Id$
 *
 **********************************************************************************************************************/
public interface PingFinder extends Finder<Ping>
  {    
    public static final SortCriterion BY_TIMESTAMP = new SortCriterionDeclaration("BY_TIMESTAMP");
    
    public static final SortCriterion BY_OS_VERSION = new SortCriterionDeclaration("BY_OS_VERSION");
    
    public static final SortCriterion BY_MODEL = new SortCriterionDeclaration("BY_MODEL"); 
    
    public static final SortCriterion BY_INSTALL_ID = new SortCriterionDeclaration("BY_INSTALL_ID"); 
  }
